com.gisgraphy.webapp.action

## Class EditSearchAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.SearchAction
    - - com.gisgraphy.webapp.action.FulltextSearchAction
      - - com.gisgraphy.webapp.action.EditSearchAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class EditSearchAction
      extends FulltextSearchAction

  Edit search Action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.SearchAction

      `DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditSearchAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `isAdmin()`

    - ### Methods inherited from class com.gisgraphy.webapp.action.FulltextSearchAction

      `getCountries, getCountry, getFormats, getLang, getLanguages, getPlacetype, getQ, getResponseDTO, getStyle, getVerbosityModes, isAllwordsrequired, isDisplayResults, isSpellchecking, search, searchpopup, setAllwordsrequired, setAlternateNameDao, setCountry, setCountryDao, setFullTextSearchEngine, setLang, setPlacetype, setQ, setSpellchecking, setStyle`

    - ### Methods inherited from class com.gisgraphy.webapp.action.SearchAction

      `getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditSearchAction

          public EditSearchAction()

  - ### Method Detail

    - #### isAdmin

          public Boolean isAdmin()

      Overrides:
        `isAdmin` in class `FulltextSearchAction`

Copyright © 2015. All rights reserved.